Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ValueEncoderSourceImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ValueEncoderSourceImpl

All Implemented Interfaces:
  InvalidationListener, ValueEncoderSource

    public class ValueEncoderSourceImpl

extends java.lang.Object
implements ValueEncoderSource, InvalidationListener

Constructor Summary
`ValueEncoderSourceImpl(java.util.Map<java.lang.Class,ValueEncoderFactory> configuration)`

Method Summary
`
`<T> ValueEncoder<T>`
` | `getValueEncoder(java.lang.Class<T> type)` Gets or creates a value encoder for the indicated type.
`void` | `objectWasInvalidated()` Invoked to indicate that some object is invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueEncoderSourceImpl

    public ValueEncoderSourceImpl(java.util.Map<java.lang.Class,ValueEncoderFactory> configuration)

Method Detail

### getValueEncoder

    public <T> ValueEncoder<T> getValueEncoder(java.lang.Class<T> type)

  Description copied from interface: `ValueEncoderSource`
  Gets or creates a value encoder for the indicated type. ValueEncoders are cached.

  Specified by:
    `getValueEncoder` in interface `ValueEncoderSource`
  Parameters:
    `type` - type of value to be encoded and decoded
  Returns:
    the value encoder

### objectWasInvalidated

    public void objectWasInvalidated()

  Description copied from interface: `InvalidationListener`
  Invoked to indicate that some object is invalid. The receiver should clear its cache.

  Specified by:
    `objectWasInvalidated` in interface `InvalidationListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.